import 'package:flutter/material.dart';

import '../../lookups/auth_lookup.dart';
import '../../widgets/auth/auth_header.dart';
import '../../widgets/auth/verfiy_account.dart';
import '../../widgets/shared/app_scaffold_widget.dart';

class VerifyAccountScreen extends StatefulWidget {
  @override
  _VerifyAccountScreenState createState() => _VerifyAccountScreenState();
}

class _VerifyAccountScreenState extends State<VerifyAccountScreen> {
  bool _isLoading = false;

  /* 
 *@author: Elham Rababah 
 *@Date:19/4/2020  
 *@param: isLoading 
 *@return:
 *@desc:   Change Isloading attribute in order to show or hide loader
 */
  void changeLoadingStata(isLoading) {
    setState(() {
      _isLoading = isLoading;
    });
  }

  @override
  Widget build(BuildContext context) {
    return AppScaffold(
        isLoading: _isLoading,
         isShowAppBar: false,
        body: SafeArea(
          child: ListView(children: <Widget>[
            Container(
              margin: EdgeInsetsDirectional.fromSTEB(30, 0, 30, 0),
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: <Widget>[
                  AuthHeader(loginType.verifyPassword),
                  VerifyAccount(changeLoadingStata: changeLoadingStata),
                ],
              ),
            ),
          ]),
        ));
  }
}
